curl
curl -sS "https://gateway.orbit/api/v1/projects/4/documents/search?q=1&state=active&kind=1&cursor=1&limit=25" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"project_id": 123,
"kind": "<string>",
"parent_id": 123,
"name": "<string>",
"revision": 123,
"archived_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"path": "<string>",
"is_archived": true,
"current_version": {
"id": 123,
"number": 123,
"media_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"created_at": "<string>",
"created_by_node_id": 123
}
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_cursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Projects
project:document:search
Project-scoped Documents. Requires ProjectOwning Node access. See /reference/project-documents for limits, archive inheritance, revision preconditions and retry recovery. No object keys or credentials are returned.
GET
/
api
/
v1
/
projects
/
{project}
/
documents
/
search
curl
curl -sS "https://gateway.orbit/api/v1/projects/4/documents/search?q=1&state=active&kind=1&cursor=1&limit=25" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"project_id": 123,
"kind": "<string>",
"parent_id": 123,
"name": "<string>",
"revision": 123,
"archived_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"path": "<string>",
"is_archived": true,
"current_version": {
"id": 123,
"number": 123,
"media_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"created_at": "<string>",
"created_by_node_id": 123
}
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_cursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric Project ID.
Required range:
x >= 1Query Parameters
Required string length:
1 - 200Available options:
active, archived, all Available options:
folder, file Maximum string length:
4096Required range:
1 <= x <= 100